<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@78A4=09090200</action>
    </script>
  </cheat>

  <cheat desc="Clear Credits Now!"> <comment>This is used when you have over 300 credits because it causes 'Pay Out Only' and you can't start the mahjong game.</comment>
    <script state="on">
      <action>maincpu.pd@78A4=00000000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Thinking Time">
    <script state="run">
      <action>maincpu.pb@7664=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when"/>
  <cheat desc="there are 14 tiles in your hand, then press"/>
  <cheat desc="the RON key ('Z' by default). The tiles do"/>
  <cheat desc="not visually change until you make a move."/>
  <cheat desc=" "/>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pw@72C0=3131</action>
      <action>maincpu.pd@72C2=35323232</action>
      <action>maincpu.pd@72C6=36363535</action>
      <action>maincpu.pd@72CA=37373736</action>
    </script>
  </cheat>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pw@72C0=3131</action>
      <action>maincpu.pd@72C2=35323232</action>
      <action>maincpu.pd@72C6=36363535</action>
      <action>maincpu.pd@72CA=37373736</action>
    </script>
  </cheat>

  <cheat desc="Infinite Donden"> <comment>Push Start Button to use it</comment>
    <script state="run">
      <action>maincpu.pb@767A=09</action>
    </script>
  </cheat>

  <cheat desc="Watch ALL 14 tiles - Player">
    <script state="run">
      <output format="%02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X">
        <argument count="14">maincpu.pb@(72C0 + argindex)</argument>
      </output>
    </script>
  </cheat>

  <cheat desc="Watch ALL 14 tiles - C.P.U.">
    <script state="run">
      <output format="%02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X %02X">
        <argument count="14">maincpu.pb@(7240 + argindex)</argument>
      </output>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
